package com.ibiz.core.external.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[JQXBJ] 查询条件对象
 */
@Data
public class JQXBJSearchContext extends SearchContext {

	   public String n_jqxbjname_like;//[交强险报价名称]
       public void setN_jqxbjname_like(String n_jqxbjname_like) {
            this.n_jqxbjname_like=n_jqxbjname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("jqxbjname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_jqxbjname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter jqxbjname=new SearchFieldFilter();
           jqxbjname.setParam("jqxbjname");
           jqxbjname.setCondition(SearchFieldType.LIKE);
           jqxbjname.setValue(strQuery);
           searchGroupFilter.getCondition().add(jqxbjname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
